typedef union {
	const char      *v_str;
	double	         v_float;
	int		 v_int;
	gboolean	 v_bool;
	GSList	        *list;

	struct {
		const char *name;
		gboolean    as_new;
	} v_dim_type;

	struct {
		gboolean    is_array;
		GSList     *indicees;
	} v_array;
	GBIndex            *v_index;

	const GBExpr	   *expr;
	const GBStatement  *stmt;
	GBObjRef           *objr;
	GBArgDesc          *v_arg;
	GBSelectCase       *v_case;
	GBVar              *v_var;
	
	GBFormItem         *v_form_item;
	GBFormProperty     *v_form_prop;
} YYSTYPE;
#define	NAME	257
#define	STRING	258
#define	FRX	259
#define	FLOAT	260
#define	INTEGER	261
#define	GB_GE	262
#define	GB_LE	263
#define	GB_MOD	264
#define	GB_ARG_ASSIGN	265
#define	GB_IS	266
#define	GB_EQV	267
#define	GB_LIKE	268
#define	GB_IMP	269
#define	GB_AND	270
#define	GB_OR	271
#define	GB_XOR	272
#define	GB_NOT	273
#define	GB_LEXTYPE_ASP	274
#define	GB_LEXTYPE_FILE	275
#define	GB_LEXTYPE_EXPR	276
#define	GB_LEXTYPE_STATEMENTS	277
#define	GB_ACTIVATE	278
#define	GB_AS	279
#define	GB_ATTRIBUTE	280
#define	GB_APPEND	281
#define	GB_BASE	282
#define	GB_BEGIN	283
#define	GB_BEEP	284
#define	GB_CALL	285
#define	GB_CASE	286
#define	GB_CLASS	287
#define	GB_CLOSE	288
#define	GB_COMPARE	289
#define	GB_CONST	290
#define	GB_DATE	291
#define	GB_DECLARE	292
#define	GB_DEFTYPE	293
#define	GB_DELETESETTING	294
#define	GB_DIM	295
#define	GB_DO	296
#define	GB_EACH	297
#define	GB_ELSE	298
#define	GB_END	299
#define	GB_ELSE_IF	300
#define	GB_ERASE	301
#define	GB_ERROR	302
#define	GB_EXIT	303
#define	GB_EXPLICIT	304
#define	GB_FALSE	305
#define	GB_FILECOPY	306
#define	GB_FOR	307
#define	GB_FUNCTION	308
#define	GB_GET	309
#define	GB_GLOBAL	310
#define	GB_GOSUB	311
#define	GB_GOTO	312
#define	GB_IF	313
#define	GB_INPUT	314
#define	GB_KILL	315
#define	GB_LSET	316
#define	GB_LET	317
#define	GB_LEN	318
#define	GB_LINE	319
#define	GB_LOAD	320
#define	GB_LOCK	321
#define	GB_LOOP	322
#define	GB_MID	323
#define	GB_MKDIR	324
#define	GB_NAME	325
#define	GB_NEXT	326
#define	GB_ON	327
#define	GB_OPEN	328
#define	GB_OPTION	329
#define	GB_OUTPUT	330
#define	GB_PRINT	331
#define	GB_PRIVATE	332
#define	GB_PROPERTY	333
#define	GB_PUBLIC	334
#define	GB_PUT	335
#define	GB_RSET	336
#define	GB_RANDOM	337
#define	GB_RANDOMIZE	338
#define	GB_REDIM	339
#define	GB_REM	340
#define	GB_RESET	341
#define	GB_RESUME	342
#define	GB_RETURN	343
#define	GB_RMDIR	344
#define	GB_RND	345
#define	GB_SAVESETTING	346
#define	GB_SCALE	347
#define	GB_SEEK	348
#define	GB_SELECT	349
#define	GB_SENDKEYS	350
#define	GB_SET	351
#define	GB_SETATTR	352
#define	GB_STATIC	353
#define	GB_STOP	354
#define	GB_SUB	355
#define	GB_THEN	356
#define	GB_TIME	357
#define	GB_TRUE	358
#define	GB_TYPE	359
#define	GB_UNLOAD	360
#define	GB_UNLOCK	361
#define	GB_VERSION	362
#define	GB_WEND	363
#define	GB_WHILE	364
#define	GB_WIDTH	365
#define	GB_WITH	366
#define	GB_WITH_EVENTS	367
#define	GB_WRITE	368
#define	GB_NEW	369
#define	GB_TO	370
#define	GB_STEP	371
#define	GB_PARAM_ARRAY	372
#define	GB_BYREF	373
#define	GB_BYVAL	374
#define	GB_OPTIONAL	375
#define	GB_NOTHING	376
#define	GB_IN	377
#define	GB_BINARY	378
#define	GB_TEXT	379
#define	GB_DATABASE	380
#define	GB_MODULE	381
#define	GB_UNTIL	382
#define	GB_PRESERVE	383
#define	GB_ASP_START	384
#define	GB_ASP_START_AT	385
#define	GB_ASP_START_EXPR	386
#define	GB_ASP_END	387
#define	GB_BEGIN_PROPERTY	388
#define	GB_END_PROPERTY	389
#define	GB_OBJECT	390
#define	GB_KEEP_LOOKING	391
#define	GB_SPACE_DOT	392
#define	GB_NE	393
#define	UNARY_NEG	394
#define	UNARY_POS	395

